Package net.shibboleth.idp.profile.context.navigate

# Class RelyingPartyContextLookupById

java.lang.Object
net.shibboleth.idp.profile.context.navigate.RelyingPartyContextLookupById

All Implemented Interfaces:
  `BiFunction<MultiRelyingPartyContext,String,RelyingPartyContext>`

public class RelyingPartyContextLookupById extends Object implements BiFunction<MultiRelyingPartyContext,String,RelyingPartyContext>
A `BiFunction` that returns a `RelyingPartyContext` based on ID.

If a label is provided, the context will be auto-created if it doesn't already exist.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`label`
Label to use for auto-creation.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyContextLookupById()`
Constructor.
`RelyingPartyContextLookupById(String theLabel)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RelyingPartyContext`
`apply(MultiRelyingPartyContext input1, String input2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Field Details

### label

@Nullable private final String label
Label to use for auto-creation.

## Constructor Details

### RelyingPartyContextLookupById

public RelyingPartyContextLookupById()
Constructor.

### RelyingPartyContextLookupById

public RelyingPartyContextLookupById(@Nonnull @NotEmpty @ParameterName(name="theLabel") String theLabel)
Constructor.

Parameters:
  `theLabel` - indicates context should be created if not present, using this label

## Method Details

### apply

@Nullable public RelyingPartyContext apply(@Nullable MultiRelyingPartyContext input1, @Nullable String input2)

Specified by:
  `apply` in interface `BiFunction<MultiRelyingPartyContext,String,RelyingPartyContext>`